CPanel Security Advisor Shows KernelCare error.

Operating System & Version
CloudLinux 7.8
cPanel & WHM Version
86.0.20

piyushmaheswari

Well-Known Member
Apr 18, 2020
74
2
8
India
cPanel Access Level
Root Administrator
Hey Dudes ! I have an issue please anyone help me to solve it.
Actually today I installed KernelCare trial in my server , by these commands -
curl -s -L https://kernelcare.com/installer | bash

/usr/bin/kcarectl --register KEY

and after something one hour I goes to CPanel Security Advisor , and it shows that kernelcare update is available. and says to run this command -
kcarectl --update
I ran this command and after sometime when it complete I go to CPanel Security Advisor Again but now it shows some different error in recommendation -
Code:
Failed to check whether active services are up-to-date: “/usr/local/cpanel/bin/needs-restarting-cpanel” reported error code “1” when it ended: failure: repodata/filelists.sqlite.bz2 from kernelcare: [Errno 256] No more mirrors to try. https://repo.cloudlinux.com/kernelcare/7/x86_64/repodata/filelists.sqlite.bz2: [Errno -1] Metadata file does not match checksum
Code:
Failed to check whether running executables are up-to-date: An unknown error in the “Cpanel::Exception::ProcessFailed” package has occurred
Now my current real kernel care version is
3.10.0-962.3.2.lve1.5.33.el7.x86_64
and effective version is
3.10.0-962.3.2.lve1.5.33.el7

I attached all screenshot.

Anyone guys please help me to fix this error.

My server is a dedicated server.
These Systems are running in my server -
CPanel
CloudLinux
LiteSpeed
Imunify360
ConfigServer Security & Firewall
Softaculous
WHMReseller

Guys anyone please tell me suggestion and also give solution to fix it .
 

Attachments